#110083 Report by node travis-ci covering 1959 tests from 48 modules resulted into 3 errors

Report

ObsPy version
1.2.1.post0+25.gf5c698937b
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/663039037
GitHub Pull Request
https://github.com/obspy/obspy/pull/2577
Report file
XML document
Total runtime
397.9 sec
Report date/time
2020-03-16 07:29:41

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
i386
Python Compiler
Clang 9.0.1
Python Implementation
CPython
Python Version
3.8.2
Release
17.7.0
System
Darwin
Version
Darwin Kernel Version 17.7.0: Thu Jun 21 22:53:14 PDT 2018; root:xnu-4570.71.2~1/RELEASE_X86_64

Dependencies

cartopy
---
decorator
4.4.2
flake8
---
geographiclib
1.50
lxml.etree
4.5.0
m2crypto
---
matplotlib
3.2.0
mock
---
mpl_toolkits.basemap
1.2.1
numpy
1.18.1
pep8-naming
---
pyflakes
---
pyimgur
0.6.0
pyproj
1.9.6
requests
2.23.0
scipy
1.4.1
setuptools
46.0.0.post20200311
shapefile
2.1.0
sqlalchemy
1.3.15

Modules (48)

Module Errors / Failures Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 2 1 2
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.dmx - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 1 3
obspy.taup - -
Summary 3 3

Tracebacks (3)

Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/core/tests/test_stats.py", line 304, in test_different_string_types
raise Exception(
Exception: test needs to be looked at more closely after Py2 sunset
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/core/tests/test_stream.py", line 1443, in test_read_pickle
st = read(pickle_file, format='PICKLE')
File "<decorator-gen-31>", line 2, in read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/core/util/decorator.py", line 291, in _map_example_filename
return func(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/core/stream.py", line 207, in read
st = _generic_reader(pathname_or_url, _read, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/core/util/base.py", line 683, in _generic_reader
generic = callback_func(pathnames[0], **kwargs)
File "<decorator-gen-32>", line 2, in _read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/core/util/decorator.py", line 202, in uncompress_file
result = func(filename, *args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/core/stream.py", line 248, in _read
stream, format = _read_from_plugin('waveform', filename, format=format,
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/core/util/base.py", line 455, in _read_from_plugin
list_obj = read_format(filename, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/core/stream.py", line 3581, in _read_pickle
return pickle.load(fp, **kwargs)
ModuleNotFoundError: No module named 'future'
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/doctest.py", line 2197, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.signal.tf_misfit.plot_tfr
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/signal/tf_misfit.py", line 1388, in plot_tfr
----------------------------------------------------------------------
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/signal/tf_misfit.py", line 1429, in obspy.signal.tf_misfit.plot_tfr
Failed example:
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
Exception raised:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/urllib3/connection.py", line 156, in _new_conn
conn = connection.create_connection(
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/urllib3/util/connection.py", line 61, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/socket.py", line 918, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 8] nodename nor servname provided, or not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/urllib3/connectionpool.py", line 665, in urlopen
httplib_response = self._make_request(
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/urllib3/connectionpool.py", line 376, in _make_request
self._validate_conn(conn)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/urllib3/connectionpool.py", line 994, in _validate_conn
conn.connect()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/urllib3/connection.py", line 334, in connect
conn = self._new_conn()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/urllib3/connection.py", line 168, in _new_conn
raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x120306310>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
resp = conn.urlopen(
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/urllib3/connectionpool.py", line 719, in urlopen
retries = retries.increment(
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/urllib3/util/retry.py", line 436, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /a02i.2008.240.mseed (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x120306310>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/doctest.py", line 1329, in __run
exec(compile(example.source, filename, "single",
File "<doctest obspy.signal.tf_misfit.plot_tfr[1]>", line 1, in <module>
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
File "<decorator-gen-31>", line 2, in read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/core/util/decorator.py", line 291, in _map_example_filename
return func(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/core/stream.py", line 207, in read
st = _generic_reader(pathname_or_url, _read, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/core/util/base.py", line 669, in _generic_reader
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/core/util/base.py", line 623, in download_to_file
r = requests.get(url, stream=True)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/requests/api.py", line 76, in get
return request('get', url, params=params, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/requests/api.py", line 61, in request
return session.request(method=method, url=url, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/requests/sessions.py", line 530, in request
resp = self.send(prep, **send_kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/requests/sessions.py", line 643, in send
r = adapter.send(request, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/requests/adapters.py", line 516, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /a02i.2008.240.mseed (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x120306310>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known'))

Skipped tests (25)

Submodule Test Skip message
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_plot_catalog_before_1900 (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) unsupported proj4 library
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
signal test_ppsd_spectrogram_plot (obspy.signal.tests.test_spectral_estimation.PsdTestCase) matplotlib >= 3 shifts labels

Slowest tests (20)

Runtime Test
19.714s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
18.101s __init__ (obspy.taup)
12.625s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
10.923s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
9.792s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
8.293s plot_travel_times (obspy.taup.tau)
7.776s test_regional_models (obspy.taup.tests.test_tau.TauPyModelTestCase)
7.478s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)
7.222s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
6.257s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
5.498s test_correlate_stream_template_and_correlation_detector (obspy.signal.tests.test_cross_correlation.CrossCorrelationTestCase)
5.349s test_many_identically_named_phases (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
5.121s test_auto_read_arclink_xml (obspy.io.arclink.tests.test_inventory_xml.ArclinkInventoryTestCase)
4.991s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
4.229s test_rotate2zne_against_lqt_different_combinations (obspy.signal.tests.test_rotate.RotateTestCase)
3.503s test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase)
3.098s test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase)
3.089s test_plot_travel_times_convenience (obspy.taup.tests.test_plotting.TauPyPlottingTestCase)
2.948s test_ppsd_w_iris_against_obspy_results (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
2.919s test_spherical_many_phases (obspy.taup.tests.test_plotting.TauPyPlottingTestCase)

Chuck Norris fact

Scientists have estimated that the energy given off during the Big Bang is roughly equal to 1CNRhK (Chuck Norris Roundhouse Kick).